For the complete documentation index, see llms.txt. This page is also available as Markdown.

Company search

The company search service returns a list of companies that match with the results inputted by the user through body params. The more specific the parameters provided, the more accurate the results will be.

Company search

post

The company search service is a resource that allows users to search for companies based on specific parameters. This route accepts the parameters listed below.
Permission required: Services query

Header parameters
AuthorizationstringRequired

Your access token. See more in the 'Authentication' topic of this section.

Body
servicestringRequired

The name of the requested service, for Company Search need be "kybCompanySearch"

Default: kybCompanySearchExample: kybCompanySearch
metadataobjectOptional

All fields passed to the metadata will be returned in the response, this field is useful to bring an internal identifier of the request for example

Responses
200

Success

application/json
requestIdstringOptional
messagestringOptional
post/services
POST /v1/services HTTP/1.1
Host: api.public.caf.io
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 121

{
  "service": "kybCompanySearch",
  "parameters": {
    "name": "text",
    "country": "text",
    "number": "text",
    "state": "text"
  },
  "metadata": {}
}
{
  "requestId": "text",
  "message": "text",
  "data": {
    "service": "kybCompanySearch",
    "serviceData": {
      "companies": [
        {
          "id": "R0ItMC0xNDA4NDk3OV9KY1JtaTVPWGl5ekQtb0UxTV8yV1pB",
          "score": 100,
          "availableServices": {
            "creditReportId": "GB-0-14084975",
            "businessIdentityId": "JcRmi5OXtyzD-oE1M_2WZA"
          },
          "company": {
            "name": "Apple INC.",
            "country": "BR",
            "address": "18 WIMBORNE ROAD, PENCOED, BRIDGEND, MID GLAMORGAN, CF35 6SG",
            "status": "Active",
            "number": 14084973
          }
        }
      ]
    },
    "metadata": {}
  }
}

Last updated